Subject: Re: [PATCH v3 0/6] Avoid the_repository in merge-ort and replay

From: Junio C Hamano <[email-masked]>
Date: Sat, 21 Feb 2026 18:38:54 -0800

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> Changes since v2:
>
>  * In first patch, actually avoid the_repository when attempting to remove
>    check against the_repository
>  * Fix commit message of patch 3 due to the new patch 1.
>  * Slight tweak to commit message of patch 6.
> ...
> As noted in the comments on v1, I actually do not know why
> prefetch_for_content_merges() needs to use the_repository. When I introduced
> it back in 2bff554b23e8 (merge-ort: add prefetching for content merges,
> 2021-06-22), I was just looking at diffcore_std() and trying to mimic how it
> did the prefetch, and it has such a comparison. If anyone knows why
> diffcore_std() needs to compare against the_repository, I'd love to hear...

Is this comment still current?

> Elijah Newren (6):
>   merge,diff: remove the_repository check before prefetching blobs
>   merge-ort: pass repository to write_tree()
>   merge-ort: replace the_repository with opt->repo
>   merge-ort: replace the_hash_algo with opt->repo->hash_algo
>   merge-ort: prevent the_repository from coming back
>   replay: prevent the_repository from coming back

I do not seem to see the last step on the list archive.

https://lore.kernel.org/git/[email-masked]/

I'll resurrect it using the previous one and ...

>  6:  67db46f34f ! 6:  0654d04584 replay: prevent the_repository from coming back
>      @@ Commit message
>           coming back.
>       
>           Define the_repository to make it a compilation error so that they don't
>      -    come back any more.
>      +    come back any more; the repo parameter plumbed through the various
>      +    functions can be used instead.
>       
>           Signed-off-by: Elijah Newren <[email-masked]>

... this piece of information.